Subject: [RFC] arm64: Early printk support for virtio-mmio console devices.

From: [email-masked] (Marc Zyngier)
Date: Thu, 18 Apr 2013 10:51:43 +0200

On Thu, 18 Apr 2013 09:30:52 +0100, Peter Maydell
<[email-masked]> wrote:
> On 18 April 2013 07:49, Marc Zyngier <[email-masked]> wrote:
>> If you need an early console, why not simply wire the 8250 emulation in
>> kvmtool to be useable from the MMIO bus? I reckon this would solve your
>> problem in a more elegant way...
> 
> The other approach I thought of would be something involving
> defining a hypercall interface for console I/O, in the same
> way that we have hypercalls for "start cpu"/"stop cpu"/etc.
> Is there any mileage in considering that approach, or is it
> a non-starter?

That's always possible, but that becomes architecture dependent, which
means code duplication across architectures. I'd rather use the MMIO
infrastructure, which has some commonalities across the board.

        M.
-- 
Fast, cheap, reliable. Pick two.